Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.beans
Enum DataSourceConfig.ServiceAccountScope

    java.lang.Object
      java.lang.Enum<DataSourceConfig.ServiceAccountScope>
          com.bea.dsp.management.beans.DataSourceConfig.ServiceAccountScope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataSourceConfig.ServiceAccountScope>

Enclosing class:
  DataSourceConfig

    public static enum DataSourceConfig.ServiceAccountScope

extends java.lang.Enum<DataSourceConfig.ServiceAccountScope>

This enum is used to define the scope in which a service account will be used for a data source.

Enum Constant Summary
`METADATA` Service Account associated with this scope are used while accessing metadata of the concerned datasource.
`RUNTIME` Service Account associated with this scope are used while running queries or updates with concerned datasource.

Method Summary
`static DataSourceConfig.ServiceAccountScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataSourceConfig.ServiceAccountScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUNTIME

    public static final DataSourceConfig.ServiceAccountScope RUNTIME

  Service Account associated with this scope are used while running queries or updates with concerned datasource. Example could be like making an external webservice call.

### METADATA

    public static final DataSourceConfig.ServiceAccountScope METADATA

  Service Account associated with this scope are used while accessing metadata of the concerned datasource. Example could be like accessing a wsdl for an enternal webservice.

Method Detail

### values

    public static DataSourceConfig.ServiceAccountScope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataSourceConfig.ServiceAccountScope c : DataSourceConfig.ServiceAccountScope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataSourceConfig.ServiceAccountScope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.